summaryrefslogtreecommitdiffstats
path: root/development/elixir
diff options
context:
space:
mode:
author Ryan S. Northrup <northrup@yellowapple.us>2016-12-04 23:03:09 +0000
committer David Spencer <idlemoor@slackbuilds.org>2016-12-10 00:57:38 +0000
commit735c32f78c5eb186f7e91d09b54699660677fed9 (patch)
tree5169a143f74be974dca4c7e2471f4ce6fa43ddb2 /development/elixir
parent2514a1d9355b8465cbcbd0f2ccea0633bff9fc49 (diff)
downloadslackbuilds-735c32f78c5eb186f7e91d09b54699660677fed9.tar.gz
slackbuilds-735c32f78c5eb186f7e91d09b54699660677fed9.tar.xz
development/elixir: Added (programming language).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development/elixir')
-rw-r--r--development/elixir/README6
-rw-r--r--development/elixir/elixir.SlackBuild99
-rw-r--r--development/elixir/elixir.info10
-rw-r--r--development/elixir/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/development/elixir/README b/development/elixir/README
new file mode 100644
index 0000000000..08730b38c5
--- /dev/null
+++ b/development/elixir/README
@@ -0,0 +1,6 @@
+Elixir is a dynamic, functional language designed for building
+scalable and maintainable applications.
+
+Elixir leverages the Erlang VM, known for running low-latency,
+distributed and fault-tolerant systems, while also being successfully
+used in web development and the embedded software domain.
diff --git a/development/elixir/elixir.SlackBuild b/development/elixir/elixir.SlackBuild
new file mode 100644
index 0000000000..01d7130e89
--- /dev/null
+++ b/development/elixir/elixir.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+## Copyright (C) 2016 Ryan S. Northrup <northrup@yellowapple.us>
+
+## Permission is hereby granted, free of charge, to any person
+## obtaining a copy of this software and associated documentation
+## files (the "Software"), to deal in the Software without
+## restriction, including without limitation the rights to use, copy,
+## modify, merge, publish, distribute, sublicense, and/or sell copies
+## of the Software, and to permit persons to whom the Software is
+## furnished to do so, subject to the following conditions:
+
+## The above copyright notice and this permission notice shall be
+## included in all copies or substantial portions of the Software.
+
+## THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+## EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+## MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+## NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
+## BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
+## ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+## CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+## SOFTWARE.
+
+## Based on erlang-otp.SlackBuild, which was written by halflife
+## (vzdorovenco@yahoo.com). Please **DO NOT** email halflife about
+## this SlackBuild.
+
+PRGNAM=elixir
+VERSION=${VERSION:-1.3.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRC_NAME_VERSION=elixir-${VERSION}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRC_NAME_VERSION
+tar xvf $CWD/$SRC_NAME_VERSION.tar.gz
+cd $SRC_NAME_VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+make DESTDIR=$PKG PREFIX=/usr LIBDIR=lib${LIBDIRSUFFIX} install
+
+cd $PKG/usr/bin
+ for file in elixir elixirc iex mix ; do
+ rm -f $file
+ ln -s ../lib${LIBDIRSUFFIX}/elixir/bin/$file .
+ done
+cd -
+
+chown -R root:root $PKG/usr/lib${LIBDIRSUFFIX}/elixir
+chmod -R u+w,go+r-w,a-s $PKG/usr/lib${LIBDIRSUFFIX}/elixir
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+for file in CHANGELOG.md CODE_OF_CONDUCT.md ISSUE_TEMPLATE.md LICENSE \
+ NOTICE README.md RELEASE.md VERSION ; do
+ cp $file $PKG/usr/doc/$PRGNAM-$VERSION
+done
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/usr/share/man $PKG/usr/man
+rmdir $PKG/usr/share
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/elixir/elixir.info b/development/elixir/elixir.info
new file mode 100644
index 0000000000..5660600aad
--- /dev/null
+++ b/development/elixir/elixir.info
@@ -0,0 +1,10 @@
+PRGNAM="elixir"
+VERSION="1.3.4"
+HOMEPAGE="http://elixir-lang.org"
+DOWNLOAD="https://github.com/elixir-lang/elixir/archive/v1.3.4/elixir-1.3.4.tar.gz"
+MD5SUM="ebbefbe4a48264972d7193ba9b71d1f5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="erlang-otp"
+MAINTAINER="Ryan S. Northrup"
+EMAIL="northrup@yellowapple.us"
diff --git a/development/elixir/slack-desc b/development/elixir/slack-desc
new file mode 100644
index 0000000000..6f4af43984
--- /dev/null
+++ b/development/elixir/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+elixir: elixir (programming language)
+elixir:
+elixir: Elixir is a dynamic, functional language designed for building
+elixir: scalable and maintainable applications.
+elixir:
+elixir: Elixir leverages the Erlang VM, known for running low-latency,
+elixir: distributed and fault-tolerant systems, while also being successfully
+elixir: used in web development and the embedded software domain.
+elixir:
+elixir: http://elixir-lang.org/
+elixir: